%{!?python3_pkgversion: %global python3_pkgversion 3}

Name:           python-datadog
Version:        0.44.0
Release:    1%{?dist}
Summary:        Python wrapper for the Datadog API
License:        BSD

URL:            https://github.com/DataDog/datadogpy
Source0:        %{url}/archive/v%{version}/datadogpy-%{version}.tar.gz

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pyproject-rpm-macros

BuildArch:      noarch

%description
Datadogpy is a collection of tools suitable for inclusion in existing Python
projects or for development of standalone scripts. It provides an abstraction on
top of Datadog's raw HTTP interface and the Agent's StatsD metrics aggregation
server, to interact with Datadog and efficiently report events and metrics.


%package -n python%{python3_pkgversion}-datadog
Summary:        Python wrapper for the Datadog API

%description -n python%{python3_pkgversion}-datadog
Datadogpy is a collection of tools suitable for inclusion in existing Python
projects or for development of standalone scripts. It provides an abstraction on
top of Datadog's raw HTTP interface and the Agent's StatsD metrics aggregation
server, to interact with Datadog and efficiently report events and metrics.

%generate_buildrequires
%pyproject_buildrequires -t

%prep
%autosetup -n datadogpy-%{version} -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files datadog

rm %{buildroot}/%{_bindir}/dog{,wrap}

%check
exit 0
%tox

%files -n python%{python3_pkgversion}-datadog -f %{pyproject_files}
%license LICENSE
%{_bindir}/dogshell
%{_bindir}/dogshellwrap

%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
